package dfatool.strategy.verification;

import dfatool.strategy.elements.patterns.ResourceAllocationDescription;
import dfatool.strategy.verification.elements.EssentialComponent;

public interface IFileGeneration {
	
	public void generateModel();
	
	public void generateConflictVerification(String pid1,String pid2);
	
	public void generateEssentialComponentAndResourceAllocationDescription(EssentialComponent component, ResourceAllocationDescription rad);
	
	public void generateResourceAllocationVerification(EssentialComponent component, ResourceAllocationDescription rad);


}
